/* **************************************************
	DESCRIPTION:  HomeLink Component Sheet
***************************************************/

/* =================FONT=================== */

:root {
	color: var(--text-neutral);
	font-size: calc(var(--base-font-size) * 1);
	font-family: Segoe UI Variable Text, system-ui, -apple-system, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, Liberation Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	opacity: 1;
	transition: opacity 0.5s ease-in-out;
}

html[data-oled-glyph-dimming="true"][theme="eclipse"][data-glyphs-dimmed="true"]
img[data-glyph-base] {
	opacity: 0.5;
	transition: opacity 0.5s ease-in-out;
}

html[data-oled-glyph-dimming="true"][theme="eclipse"][data-glyphs-dimmed="false"]
img[data-glyph-base] {
	opacity: 1;
	transition: opacity 0.5s ease-in-out;
}

html[data-oled-text-dimming="true"][theme="eclipse"][data-text-dimmed="true"]
:is(p, span, label, a, .button-text, h1, h2, h3) {
	opacity: 0.5;
	transition: opacity 0.5s ease-in-out;
}

html[data-oled-text-dimming="true"][theme="eclipse"][data-text-dimmed="false"]
:is(p, span, label, a, .button-text, h1, h2, h3) {
	opacity: 1;
	transition: opacity 0.5s ease-in-out;
}

@media (min-width: 768px) {
	:root {
		--base-font-size: 16px;
	}
}

@media (max-width: 767px) {
	:root {
		--base-font-size: 16px;
	}
}

a {
	color: var(--text-hyperlink);
	text-decoration: none;
	border-radius: var(--radius-small);
	cursor: pointer;
}

a:hover {
	background-color: var(--select-highlight);
}

/* =================ATTRIBUTES=================== */

[hidden] {
	display: none !important;
}

[disabled], [disabled] > button, .app-bar-item[disable] {
	opacity: 0.5;
	cursor: not-allowed !important;
}

[visible] {
	display: block !important;
}

[layer-2] {
	background-color: var(--layer-2);
	border: 2px solid var(--layer-2-border);
}

[layer-2]:hover {
	background-color: var(--layer-2-hover);
}

[layer-3] {
	background-color: var(--layer-3);
	border: 2px solid var(--layer-3-border);
}

[layer-3]:hover {
	background-color: var(--layer-3-hover);
}

/* ============ISLANDS============== */

.content-island-container {
	display: flex;
	flex-direction: row;
	gap: 10px;
}

@media (max-width: 767px) {
	.content-island-container {
		flex-wrap: wrap;
		justify-content: center;
	}
}

.content-island {
	padding: 10px;
	min-height: 150px;
	min-width: 150px;
	flex: 1;
	border-radius: var(--radius-medium);
	box-shadow: var(--shadow-small);
}

.content-island-icon-title-container {
	margin: 0 0 10px 0;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
}

.content-island-icon {
	padding: 0 15px 0 0;
	width: 24px;
	height: 24px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position-y: center;
}

.content-island-title-container {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-start;
}

.content-island-title {
	font-size: calc(var(--base-font-size) * 1);
	font-weight: bold;
}

.content-island-description {
	font-size: calc(var(--base-font-size) * 0.75);
}

/* Specific Content Islands */
#viewport-res-scale-container {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	align-items: center;
}

.viewport-flexrow {
	margin: 0 0 5px 0;
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

.content-island[layer-2] .viewport-flexrow:not(:last-child) {
	border-bottom: 2px dotted var(--layer-2-border);
}

.content-island[layer-3] .viewport-flexrow:not(:last-child) {
	border-bottom: 2px dotted var(--layer-3-border);
}

/* ============STATUS============== */

.status-container {
	padding: 10px;
	height: 100%;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: flex-start;
	gap: 20px;
}

/* ============INPUTS============== */

input {
	width: -webkit-fill-available;
	width: -moz-available;
	padding: 0.5rem 0.5rem;
	margin: 0.25rem 0;
	position: relative;
	background: var(--input-fill);
	color: var(--text-neutral);
	font-size: calc(var(--base-font-size) * 0.80);
	border: var(--input-border);
	border-bottom: var(--input-border-facet);
	border-radius: var(--radius-small);
	transition: background 0.2s ease, border 0.2s ease;
}

input[disabled] {
	background: var(--input-disabled);
	border-bottom: var(--input-border-facet);
	cursor: not-allowed;
}

input:hover {
	border-bottom: var(--input-border-facet-hover);
	outline: none;
}

input[disabled]:hover {
	border-bottom: var(--input-border-facet);
	outline: none;
}

input:focus {
	border-bottom: var(--input-border-facet-focus);
	outline: none;
}

input[disabled]:focus {
	border-bottom: var(--input-border-facet);
	outline: none;
}

input:autofill {
	background: var(--input-fill-active);
	background-color: none !important;
	border-bottom: 2px solid var(--focus-accent);
	outline: none;
}

.input-wrapper {
	position: relative;
}

.input-wrapper .input-icon img {
	left: 5px;
	top: 20px;
	width: 24px;
	height: 24px;
	position: absolute;
	transform: translateY(-50%);
	pointer-events: none;
	z-index: 1;
}

input[disabled] .input-icon img {
	opacity: 0.5;
}

.input-wrapper input {
	margin-left: 40px;
}

/* Checkbox */

select {
	padding: 10px;
	min-width: 125px;
	text-align: center;
	color: var(--text-neutral);
	border: var(--button-subtle-border);
	border-radius: var(--radius-small);
	background-color: var(--button-standard-fill);
	box-shadow: var(--button-standard-shadow);
	transition: background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
	cursor: pointer;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

select:hover {
	background-color: var(--button-standard-fill);
}

input[type="checkbox"] {
	width: 20px;
	height: 20px;
	position: relative;
	display: inline-block;
	background-color: var(--button-standard-fill);
	border: var(--button-standard-border);
	border-radius: 4px;
	box-shadow: var(--shadow-menu);
	vertical-align: middle;
	cursor: pointer;
	accent-color: transparent;
	appearance: none;
	transition: all 0.15s ease-in-out;
}

input[type="checkbox"]:hover {
	background-color: var(--button-standard-fill);
}

input[type="checkbox"]:focus {
	outline-offset: 2px;
}

input[type="checkbox"]:checked {
	background-color: #357EC7;
}

input[type="checkbox"]:checked::after {
	content: '';
	position: absolute;
	left: 6px;
	top: 2px;
	width: 5px;
	height: 10px;
	border-right: 1px solid #D6D6D6;
	border-bottom: 1px solid #D6D6D6;
	transform: rotate(45deg);
}

input[type="checkbox"]:disabled {
	opacity: 0.5;
	cursor: default;
}

/* Toggle Switch */

input[type="checkbox"][toggleswitch] {
	width: 40px;
	height: 20px;
	border-radius: 999px;
	border: none;
	background-color: var(--layer-1);
	box-shadow: var(--button-standard-shadow);
	position: relative;
	transition: background-color 0.25s ease;
}

/* Remove default checkmark */
input[type="checkbox"][toggleswitch]::after {
	display: none;
}

/* Thumb */
input[type="checkbox"][toggleswitch]::before {
	content: "";
	position: absolute;
	width: 16px;
	height: 16px;
	top: 2px;
	left: 2px;
	border-radius: 50%;
	background: var(--text-neutral);
	box-shadow: var(--shadow-small);
	transition: transform 0.25s ease;
}

/* Checked state */
input[type="checkbox"][toggleswitch]:checked {
	background-color: #357EC7;
}

/* Move thumb when checked */
input[type="checkbox"][toggleswitch]:checked::before {
	transform: translateX(20px);
}

/* Focus ring */
input[type="checkbox"][toggleswitch]:focus-visible {
	outline: 2px solid #60a5fa;
	outline-offset: 2px;
}

/* Disabled */
input[type="checkbox"][toggleswitch]:disabled {
	opacity: 0.5;
	cursor: default;
}

/* =================BUTTONS=================== */

.button-icon {
	height: 24px;
	width: 24px;
	pointer-events: none;
}

.button-text {
	font-size: calc(var(--base-font-size) * 0.85);
	color: var(--text-neutral);
}

/* Standard Button */
button[standard] {
	width: fit-content;
	min-width: 9rem;
	padding: 0.4rem 0.4rem;
	position: relative;
	background-color: var(--button-standard-fill);
	color: var(--text-neutral);
	font-size: calc(var(--base-font-size) * 0.800);
	border-radius: var(--radius-small);
	box-shadow: var(--button-standard-shadow);
	cursor: pointer;
	isolation: isolate;
	overflow: hidden;
	transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out, border 0.1s ease-in-out;
}

[theme="eclipse"] button[standard], [theme="twilight"] button[standard] {
	border: var(--button-standard-border);
	border-top: var(--button-standard-border-facet);
}

[theme="radiance"] button[standard] {
	border: var(--button-standard-border);
	border-bottom: var(--button-standard-border-facet);
}

[theme="eclipse"] button[standard]:hover, [theme="twilight"] button[standard]:hover {
	background-color: var(--button-standard-fill-hover);
}

[theme="radiance"] button[standard]:hover {
	background-color: var(--button-standard-fill-hover);
}

[theme="eclipse"] button[standard]:active, [theme="twilight"] button[standard]:active {
	color: color-mix(in srgb, var(--text-neutral) 45%, transparent);
    background-color: var(--button-standard-fill-active);
}

[theme="radiance"] button[standard]:active {
	color: color-mix(in srgb, var(--text-neutral) 45%, transparent);
	background-color: var(--button-standard-fill-active);
}

button[standard].primary {
	background-color: var(--button-standard-fill);
	color: var(--text-neutral);
}

button[standard].primary:hover {
	background-color: var(--button-standard-fill-hover);
}

button[standard].primary:active {
	background-color: var(--button-standard-fill-active);
}

/* Subtle Button */
button[subtle] {
	width: fit-content;
	min-width: 2rem;
	padding: 0.4rem 0.4rem;
	position: relative;
	background-color: var(--button-subtle-fill);
	border: none;
	border-radius: var(--radius-small);
	cursor: pointer;
	isolation: isolate;
	overflow: hidden;
	transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out, border 0.1s ease-in-out;
}

[theme="eclipse"] button[subtle], [theme="twilight"] button[subtle] {
	border: 1px solid transparent;
}

[theme="radiance"] button[subtle] {
	border: 1px solid transparent;
}

[theme="eclipse"] button[subtle]:hover, [theme="twilight"] button[subtle]:hover {
	background-color: var(--button-subtle-fill-hover);
	border: var(--button-subtle-border);
	border-top: var(--button-subtle-border-facet);
	box-shadow: var(--button-subtle-shadow);
}

[theme="radiance"] button[subtle]:hover {
	background-color: var(--button-subtle-fill-hover);
	border: var(--button-subtle-border);
	border-bottom: var(--button-subtle-border-facet);
	box-shadow: var(--button-subtle-shadow);
}

[theme="eclipse"] button[subtle]:active, [theme="twilight"] button[subtle]:active {
	color: color-mix(in srgb, var(--text-neutral) 45%, transparent);
	background-color: var(--button-subtle-fill-active);
	border: var(--button-subtle-border);
	border-top: var(--button-subtle-border-facet);
	box-shadow: var(--button-subtle-shadow);
}

[theme="radiance"] button[subtle]:active {
	color: color-mix(in srgb, var(--text-neutral) 45%, transparent);
	background-color: var(--button-subtle-fill-active);
	border: var(--button-subtle-border);
	border-bottom: var(--button-subtle-border-facet);
	box-shadow: var(--button-subtle-shadow);
}

button[subtle].primary {
	background-color: var(--button-subtle-fill);
	color: color-mix(in srgb, var(--text-neutral) 100%, transparent);
}

button[subtle].primary:hover {
	background-color: var(--button-subtle-fill-hover);
}

/* Special Button */
button[special] {
	width: fit-content;
	min-width: 9rem;
	padding: 0.4rem 0.4rem;
	position: relative;
	color: var(--button-special-text);
	font-size: calc(var(--base-font-size) * 0.800);
	background-color: var(--button-special-fill);
	border-radius: var(--radius-small);
	box-shadow: var(--button-standard-shadow);
	cursor: pointer;
	transition: background-color 0.2s ease, box-shadow 0.2s ease;
	isolation: isolate;
	overflow: hidden;
}

[theme="eclipse"] button[special], [theme="twilight"] button[special] {
	border: var(--button-special-border);
	border-top: var(--button-special-border-facet);
}

[theme="radiance"] button[special] {
	border: var(--button-special-border);
	border-bottom: var(--button-special-border-facet);
}

button[special]:hover {
	background-color: var(--button-special-fill-hover);
}

button[special]:active {
	background-color: var(--button-special-fill-active);
}

button[special].primary {
	background-color: var(--button-special-fill);
	color: var(--text-neutral);
}

button[special].primary:hover {
	background-color: var(--button-special-fill-hover);
}

button[special].primary:active {
	background-color: var(--button-special-fill-active);
}

/* Standard Split Button */
.split-button {
	display: inline-flex;
	position: relative;
	border-radius: var(--radius-small);
	box-shadow: var(--button-standard-shadow);
}

.split-button-main {
	height: 32px;
	width: fit-content;
	min-width: 5rem !important;
	padding: 0.6rem 0.4rem;
	background: none;
	color: inherit;
	border-radius: 4px 0 0 4px !important;
	cursor: pointer;
	white-space: nowrap;
}

[theme="eclipse"] .split-button-main[standard], [theme="twilight"] .split-button-main[standard] {
	background-color: var(--button-standard-fill);
	border: var(--button-standard-border);
	border-top: var(--button-standard-border-facet);
}

[theme="radiance"] .split-button-main[standard] {
	background-color: var(--button-standard-fill);
	border: var(--button-standard-border);
	border-bottom: var(--button-standard-border-facet);
}

[theme="eclipse"] .split-button-main[standard]:hover, [theme="twilight"] .split-button-main[standard]:hover {
	background-color: var(--button-standard-fill-hover);
}

[theme="radiance"] .split-button-main:hover {
	background-color: var(--button-standard-fill-hover);
}

[theme="eclipse"] .split-button-main[standard]:active, [theme="twilight"] .split-button-main[standard]:active {
	color: color-mix(in srgb, var(--text-neutral) 45%, transparent);
	background-color: var(--button-standard-fill-depressed);
}

[theme="radiance"] .split-button-main[standard]:active {
	color: color-mix(in srgb, var(--text-neutral) 45%, transparent);
	background-color: var(--button-standard-fill-depressed);
}

.split-button-arrow {
	height: 32px;
	width: fit-content;
	min-width: 2rem !important;
	padding: 0.6rem 0.4rem;
	display: flex;
	justify-content: center;
	align-items: center;
	background: none;
	color: inherit;
	border-radius: 0 4px 4px 0 !important;
	cursor: pointer;
}

[theme="eclipse"] .split-button-arrow[standard], [theme="twilight"] .split-button-arrow[standard] {
	background-color: var(--button-standard-fill);
	border: var(--button-standard-border);
	border-left: none;
	border-top: var(--button-standard-border-facet);
}

[theme="radiance"] .split-button-arrow[standard] {
	background-color: var(--button-standard-fill);
	border: var(--button-standard-border);
	border-bottom: var(--button-standard-border-facet);
	border-left: none;
}

[theme="eclipse"] .split-button-arrow[standard]:hover, [theme="twilight"] .split-button-arrow[standard]:hover {
	background-color: var(--button-standard-fill-hover);
	border-left: none;
}

[theme="radiance"] .split-button-arrow[standard]:hover {
	background-color: var(--button-standard-fill-hover);
	border-left: none;
}

[theme="eclipse"] .split-button-arrow[standard]:active, [theme="twilight"] .split-button-arrow[standard]:active {
	color: var(--text-neutral);
	background-color: var(--button-standard-fill-active);
	border-left: none;
}

[theme="radiance"] .split-button-arrow[standard]:active {
	color: var(--text-neutral);
	background-color: var(--button-standard-fill-active);
	border-left: none;
}

[theme="eclipse"] .split-button-arrow[aria-expanded="true"][standard], [theme="twilight"] .split-button-arrow[aria-expanded="true"][standard] {
	color: var(--text-neutral);
	background-color: var(--button-standard-fill-depressed);
}

[theme="radiance"] .split-button-arrow[aria-expanded="true"][standard] {
	color: var(--text-neutral);
	background-color: var(--button-standard-fill-depressed);
}

.split-button-arrow-icon {
	display: inline-block;
	line-height: 1;
	pointer-events: none;
}

.split-button-menu {
	top: 115%;
	left: 0;
	margin: 0;
	padding: 5px;
	position: absolute;
	display: none;
	list-style: none;
	font-size: calc(var(--base-font-size) * 0.800);
	background-color: var(--button-standard-fill);
	border-radius: var(--radius-small);
	box-shadow: var(--shadow-menu);
	cursor: default;
	z-index: 5;
}

[theme="eclipse"] .split-button-menu, [theme="twilight"] .split-button-menu {
	border: var(--button-standard-border);
	border-top: var(--button-standard-border-facet);
}

[theme="radiance"] .split-button-menu {
	border: var(--button-standard-border);
	border-bottom: var(--button-standard-border-facet);
}

.split-button.open .split-button-menu {
	width: calc(100% - 11px);
	display: flex;
	flex-direction: column;
	gap: 5px;
}

.split-button-menu li {
	margin: 0;
	padding: 7px 10px;
	display: flex;
	align-items: center;
	gap: 0.75rem;
	color: var(--text-neutral);
	text-align: left;
	cursor: pointer;
	white-space: nowrap;
}

.split-button-icon {
	width: 16px;
	height: 16px;
	object-fit: contain;
}

.split-button-menu li:hover {
	background-color: var(--button-standard-select-highlight);
	border-radius: var(--radius-small);
}

/* =================APP BAR=================== */

.app-bar-container {
	padding: 2px;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	gap: 3px;
	background-color: var(--layer-1);
	border: 2px solid var(--layer-1-border);
	border-radius: var(--radius-small);
	white-space: nowrap;
	overflow-x: auto;
	overflow-y: hidden;
}

.app-bar-menu {
	margin: 3px 0;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	gap: 5px;
	white-space: nowrap;
	overflow-x: auto;
	overflow-y: hidden;
}

.app-bar-container > .app-bar-menu {
	margin: 0;
	padding: 0;
}

.app-bar-menu[column] > .app-bar-item {
	flex-direction: column;
}

.app-bar-menu[row] > .app-bar-item[active] {
	position: relative;
}

.app-bar-menu[row] > .app-bar-item[active]::after {
	content: "";
	position: absolute;
	bottom: 0;
	width: 20px;
	height: 3px;
	background-color: #0078D4;
	border-radius: 3px;
}

.app-bar-menu[row] > .app-bar-item {
	padding: 10px 5px;
	flex-direction: row;
	gap: 10px;
}

/* App Bar Buttons */
.app-bar-item {
	padding: 5px;
	height: -moz-available;
	height: -webkit-fill-available;
	height: fill-available;
	min-width: 75px;
	max-width: 75px;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	gap: 5px;
	border: 1px solid transparent;
	border-radius: var(--radius-small);
	cursor: pointer;
}

.app-bar-item:hover {
	background-color: var(--button-subtle-fill-hover);
}

.app-bar-item:active {
	background-color: var(--button-subtle-fill-active);
}

/* App Bar Separator */
.app-bar-item-separator {
	margin: 0 3px;
	width: 2px;
	min-width: 2px;
	height: 30px;
	background-color: var(--button-subtle-fill-hover);
}

/* App Bar Icons */
.app-bar-item-icon {
	height: 16px;
	width: 16px;
	pointer-events: none;
}

/* App Bar Text */
.app-bar-item-text {
	color: var(--text-neutral);
	font-size: calc(var(--base-font-size) * 0.75);
	white-space: wrap;
}

/* ============CONTROL CARD============== */

.control-card-section-title {
	margin: 0 0 5px 2px;
	font-size: calc(var(--base-font-size) * 0.85);
	font-weight: bold;
}

.control-card-section-title-large {
	margin: 0 0 5px 2px;
	font-size: calc(var(--base-font-size) * 1.40);
	font-weight: bold;
}

.control-card-section-title:not(:first-child) {
	margin-top: 2rem;
}

.control-card {
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-between;
	border-radius: var(--radius-medium);
	box-shadow: var(--shadow-small);
}

.control-card-body {
	min-height: 48px;
	width: -webkit-fill-available;
	padding: 10px;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 1rem;
}

.control-card[aria-expanded="true"][layer-2] > .control-card-body {
	border-bottom: 2px solid var(--layer-2-border);
}

.control-card[aria-expanded="true"][layer-2] .control-card-dropdown-vertical-list-item:not(:last-child) {
	border-bottom: 2px solid var(--layer-2-border);
}

.control-card[aria-expanded="true"][layer-3] > .control-card-body {
	border-bottom: 2px solid var(--layer-3-border);
}

.control-card[aria-expanded="true"][layer-3] .control-card-dropdown-vertical-list-item:not(:last-child) {
	border-bottom: 2px solid var(--layer-3-border);
}

.control-card[aria-expandable="true"] > .control-card-body {
	padding: 10px 45px 10px 10px;
}

.control-card[aria-expandable="false"] > .control-card-body {
	padding: 10px 20px 10px 10px;
}

.control-card[aria-expandable="true"] > .control-card-body::before,
.control-card[aria-expandable="true"] > .control-card-body::after {
	content: '';
	position: absolute;
	top: 50%;
	right: 12px;
	width: 10px;
	height: 1px;
	background: var(--text-neutral);
	transform-origin: center center;
	transition: transform 0.25s cubic-bezier(.4, 0, .2, 1);;
}

.control-card[aria-expanded="false"] > .control-card-body::before {
	right: 16px;
	transform: rotate(-45deg);
}

.control-card[aria-expanded="false"] > .control-card-body::after {
	right: 22px;
	transform: rotate(45deg);
}

.control-card[aria-expanded="true"] > .control-card-body::before {
	right: 16px;
	transform: rotate(45deg);
}

.control-card[aria-expanded="true"] > .control-card-body::after {
	right: 22px;
	transform: rotate(-45deg);
}

.control-card:not(:last-child) {
	margin-bottom: 5px;
}

.control-card-icon-title-container {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.control-card-icon {
	padding: 0 1rem 0 0;
	width: 24px;
	height: 24px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position-y: center;
}

.control-card-title-container {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-start;
}

.control-card-title {
	font-size: calc(var(--base-font-size) * 1);
	font-weight: bold;
}

.control-card-description {
	font-size: calc(var(--base-font-size) * 0.75);
}

.control-card-dropdown {
	max-height: 0;
	width: -webkit-fill-available;
	overflow: hidden;
	transition: max-height 100ms ease-in-out;
}

.control-card[layer-2] > .control-card-dropdown {
	background: var(--control-card-dropdown-background-layer-2);
}

.control-card[layer-3] > .control-card-dropdown {
	background: var(--control-card-dropdown-background-layer-3);
}

.control-card[aria-expanded="true"] > .control-card-dropdown {
	max-height: var(--control-card-dropdown-height);
}

.control-card[aria-expanded="true"] > .control-card-dropdown:last-child {
	border-radius: 0 0 6px 6px;
}

.control-card-dropdown-vertical-list {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.control-card-dropdown-vertical-list-item {
	padding: 0 10px 10px 10px;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.control-card-dropdown-vertical-list-item:first-child {
	padding-top: 10px;
	padding-bottom: 10px;
}

.control-card-dropdown-field-list {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	align-content: flex-start;
	justify-content: flex-start;
	align-items: flex-start;
}

@media (max-width: 767px) {
	.control-card-dropdown-field-list {
		padding: 1rem;
	}
}

@media (min-width: 768px) {
	.control-card-dropdown-field-list {
		padding: 5px 5px 5px 75px;
	}
}

.control-card-dropdown-field-list-item-title {
	min-width: 7rem;
	display: flex;
}

.control-card-dropdown-field-list-item {
	display: flex;
	gap: 7rem;
}

.control-card-status {
	height: 100%;
	min-height: 40px;
	width: 100%;
	align-content: center;
	border-radius: 0 0 8px 8px;
}

html[theme="eclipse"] #status-palette-twilight, html[theme="eclipse"] #status-palette-radiance {
	display: none;
}

html[theme="twilight"] #status-palette-oled, html[theme="twilight"] #status-palette-radiance {
	display: none;
}

html[theme="radiance"] #status-palette-oled, html[theme="radiance"] #status-palette-twilight {
	display: none;
}

.control-card-status[informational] {
	background-color: var(--status-background-informational);
}

.control-card-status[informational] #status-container-palette-icon {
	background-image: url('../icons/status-container-informational.png');
	background-size: contain;
	background-repeat: no-repeat;
	width: 24px;
	min-width: 24px;
	height: 24px;
	min-height: 24px;
}

.control-card-status[success] {
	background-color: var(--status-background-success);
}

.control-card-status[success] #status-container-palette-icon {
	background-image: url('../icons/status-container-success.png');
	background-size: contain;
	background-repeat: no-repeat;
	width: 24px;
	min-width: 24px;
	height: 24px;
	min-height: 24px;
}

.control-card-status[warning] {
	background-color: var(--status-background-warning);
}

.control-card-status[warning] #status-container-palette-icon {
	background-image: url('../icons/status-container-warning.png');
	background-size: contain;
	background-repeat: no-repeat;
	width: 24px;
	min-width: 24px;
	height: 24px;
	min-height: 24px;
}

.control-card-status[danger] {
	background-color: var(--status-background-danger);
}

.control-card-status[danger] #status-container-palette-icon {
	background-image: url('../icons/status-container-danger.png');
	background-size: contain;
	background-repeat: no-repeat;
	width: 24px;
	min-width: 24px;
	height: 24px;
	min-height: 24px;
}

#settings-environmental-notice {
	margin: 10px 0 0 0;
}

/* ============SEGMENTED CONTROL============== */

.segmented-control-container {
	margin: 0 auto;
	padding: 5px;
	width: fit-content;
	background: var(--layer-1);
	border-radius: var(--radius-medium);
}

[theme="eclipse"] .segmented-control-container, [theme="twilight"] .segmented-control-container {
	border: var(--button-standard-border);
	border-top: var(--button-standard-border-facet);
}

[theme="radiance"] .segmented-control-container {
	border: var(--button-standard-border);
	border-bottom: var(--button-standard-border-facet);
}

.segmented-control-options-list {
	position: relative;
	display: flex;
	border-radius: var(--radius-small);
}

input[type="radio"] {
	display: none;
}

.segmented-control-option {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 33px;
	width: 100%;
	font-size: calc(var(--base-font-size) * 0.800);
	font-weight: 500;
	cursor: pointer;
	opacity: 0.4;
	transition: color 0.15s ease-in, opacity 0.15s ease, transform 0.15s ease-out;
	z-index: 2;
}

.segmented-control-options-list input[type="radio"]:checked + label.segmented-control-option {
	opacity: 1;
	color: var(--text-neutral);
	transition: opacity 0.15s ease;
}

.selector-glider {
	height: 32px;
	display: flex;
	position: absolute;
	background-color: var(--button-standard-fill);
	border-radius: var(--radius-small);
	transition: transform 0.25s ease-out;
	z-index: 1;
}

[theme="eclipse"] .selector-glider {
	border: var(--button-standard-border);
	border-top: var(--button-standard-border-facet);
}

[theme="twilight"] .selector-glider {
	border: var(--button-standard-border);
	border-top: var(--button-standard-border-facet);
}

[theme="radiance"] .selector-glider {
	border: var(--button-standard-border);
	border-bottom: var(--button-standard-border-facet);
}


/* ============INDEX============== */

/* Packits Widget */

#packits-widget {
	display: grid;
	justify-content: center;
	align-items: stretch;
	grid-template-columns: repeat(auto-fit, minmax(300px, 20%));
	gap: 10px;
}

.packit-card {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	border-radius: var(--radius-medium);
	box-shadow: var(--shadow-small);
}

.packit-card-title {
	padding: 10px 10px 0 10px;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	gap: 10px;
}

.packit-icon {
	height: 48px;
	width: 48px;
}

.packit-card-title-container {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	gap: 10px;
}

.packit-name {
	font-size: calc(var(--base-font-size) * 1.25);
	font-weight: bolder;
}

.packit-status img {
	top: 2px;
	height: 16px;
	width: 16px;
	position: relative;
}

.packit-card-title-meta-container {
	display: flex;
	flex-direction: column;
}

.packit-card-title-meta {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	gap: 5px;
}

.packit-card-title-meta span {
	color: var(--text-neutral-mute);
	font-size: calc(var(--base-font-size) * 0.75);
	font-style: italic;
}

.packit-card-description {
	padding: 5px;
	height: 100%;
}

.packit-card-description > p {
	font-size: calc(var(--base-font-size) * 0.85);
}

.packit-card-action-container {
	padding: 10px;
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	background-color: var(--layer-1);
	border-top: 2px solid var(--layer-2-border);
	border-radius: 0 0 6px 6px;
}

.packit-card-action-container > button[standard] {
	min-width: 4rem;
}

/* ============ MODAL ============== */

.modal {
	top: 0;
	height: calc(100vh - 20px);
	width: calc(100vw - 20px);
	padding: 10px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	position: absolute;
	background-color: rgb(0, 0, 0, 0.10);
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
	cursor: not-allowed;
	z-index: 512;
}

.modal-title-container {
	padding: 5px 10px;
	height: 50px;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	border-bottom: 2px solid var(--layer-4-border);
}

.modal-title {
	font-size: calc(var(--base-font-size) * 1.5);
	font-weight: bold;
}

.modal-title-container button {
	height: 38px;
}

.modal > div {
	border-radius: var(--radius-large);
	box-shadow: var(--shadow-small);
	cursor: auto;
	overflow-y: overlay;
	z-index: 1024;
}

.modal > div:hover {
	background-color: var(--layer-2);
}

@media (max-width: 767px) {
	.modal > div {
		width: 100%;
	}
}

@media (min-width: 768px) {
	.modal > div {
		width: 50rem;
	}
}

.modal-content-sample {
	height: 25rem;
}

.modal-content-sample > div {
	height: stretch;
	display: flex;
	align-items: center;
	justify-content: center;
}

/* ============COMMON CLASSES============== */

.flex-row-image-text {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 10px;
}

.flex-row-image-text img {
	height: 20px;
	width: 20px;
}


/* width / height */
::-webkit-scrollbar {
	width: 4px;
	height: 4px;
}

/* track (background) */
::-webkit-scrollbar-track {
	background: transparent;
}

/* draggable thumb */
::-webkit-scrollbar-thumb {
	background-color: var(--canvas-scrollbar-thumb);
	border-radius: var(--radius-small);
}

/* hover state */
::-webkit-scrollbar-thumb:hover {
	background-color: var(--canvas-scrollbar-thumb-hover);
}